<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/Vertex.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Vertex.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vertex_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_8h.html">eicd/Vertex.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_const_8h.html">eicd/VertexConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_obj_8h.html">eicd/VertexObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_data_8h.html">eicd/VertexData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_collection_8h.html">eicd/VertexCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_reconstructed_particle_8h.html">eicd/ReconstructedParticle.h</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">   17</a></span>&#160;<a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex::Vertex</a>() : m_obj(new <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>()) {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a5941a3cf75b9877cf7bb879b7034d80d">   21</a></span>&#160;<a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex::Vertex</a>(<span class="keywordtype">int</span> <a class="code" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">primary</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">chi2</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">probability</a>, <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">position</a>) : m_obj(new <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>()) {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">primary</a> = <a class="code" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">primary</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">chi2</a> = <a class="code" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">chi2</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">probability</a> = <a class="code" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">probability</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a> = <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">position</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a95ebef7361941fef5f2de207c1327b6a">   29</a></span>&#160;<a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex::Vertex</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a5401a139604ecb1a48149797d7e95119">   33</a></span>&#160;<a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; <a class="code" href="classeic_1_1_vertex.html#a5401a139604ecb1a48149797d7e95119">Vertex::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; other) {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ac6224cca25a345b7518e186a26ce740b">   39</a></span>&#160;<a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex::Vertex</a>( <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a5a7a2343046e053707b8c5a9c7c5fd77">   43</a></span>&#160;<a class="code" href="classeic_1_1_vertex.html">Vertex</a> <a class="code" href="classeic_1_1_vertex.html#a5a7a2343046e053707b8c5a9c7c5fd77">Vertex::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>(*m_obj)};</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a2906315761acc0b7ad04388d1cfef10c">   47</a></span>&#160;<a class="code" href="classeic_1_1_vertex.html#a2906315761acc0b7ad04388d1cfef10c">Vertex::~Vertex</a>() {</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;}</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#acf5f5812441600b982220dcb5f4ceaee">   50</a></span>&#160;Vertex::operator <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>(m_obj); }</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">   52</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">Vertex::primary</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">primary</a>; }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">   53</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">Vertex::chi2</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">chi2</a>; }</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">   54</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">Vertex::probability</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">probability</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">   55</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&amp; <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">Vertex::position</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>; }</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ab8f4d022b2e9029ffa7c0165e9e708f7">   56</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ab8f4d022b2e9029ffa7c0165e9e708f7">Vertex::x</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aa6eb35c80e38ca34929d9dfa55ec33ed">x</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ac7a8bad218a5c38e8b537200d96d9681">   57</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ac7a8bad218a5c38e8b537200d96d9681">Vertex::y</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#ae347ee95d3330b53d02cb17466174874">y</a>; }</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#acfbb82aae5f3877dafc6fd65cd6cb90d">   58</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#acfbb82aae5f3877dafc6fd65cd6cb90d">Vertex::z</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aae3cf05102b6482aaf12dd8eeb9d7d59">z</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ab66fd259b680f14b9bbd11121e49bd09">   59</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ab66fd259b680f14b9bbd11121e49bd09">Vertex::t</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#acb244fd15098e5d8f334dbb4b3cb5739">t</a>; }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a9a50db78ba41bf3f045126cc5f11c930">   61</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> <a class="code" href="classeic_1_1_vertex.html#a9a50db78ba41bf3f045126cc5f11c930">Vertex::particle</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keywordflow">if</span> (!m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a>) {</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>(<span class="keyword">nullptr</span>);</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  }</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>(*(m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a>));</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;}</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#abc7329c08f82f36c75790bcfe667c071">   69</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">Vertex::primary</a>(<span class="keywordtype">int</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">primary</a> = value; }</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ad80b486ba867a230e236024df3374550">   70</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">Vertex::chi2</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">chi2</a> = value; }</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a3a33720b647cce52924bd39dd6875673">   71</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">Vertex::probability</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">probability</a> = value; }</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ac4bab9100ebe30af9fee89dd9da5d6fd">   72</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">Vertex::position</a>(<a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a> = value; }</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#aaae902f20aa8242558e8b1de743baa0c">   73</a></span>&#160;<a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&amp; <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">Vertex::position</a>() { <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>; }</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a8df38c3cab0b3978fedd94a9f895e760">   74</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ab8f4d022b2e9029ffa7c0165e9e708f7">Vertex::x</a>(<span class="keywordtype">double</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aa6eb35c80e38ca34929d9dfa55ec33ed">x</a> = value; }</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ab6adc83532ac7a63329a3c241d54f22e">   75</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ac7a8bad218a5c38e8b537200d96d9681">Vertex::y</a>(<span class="keywordtype">double</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#ae347ee95d3330b53d02cb17466174874">y</a> = value; }</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a203825994fe3211ac555c8e38235bf2a">   76</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#acfbb82aae5f3877dafc6fd65cd6cb90d">Vertex::z</a>(<span class="keywordtype">double</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aae3cf05102b6482aaf12dd8eeb9d7d59">z</a> = value; }</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#aec10300e61a499ae5910838f9c5dea8f">   77</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ab66fd259b680f14b9bbd11121e49bd09">Vertex::t</a>(<span class="keywordtype">double</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#acb244fd15098e5d8f334dbb4b3cb5739">t</a> = value; }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#a9a50db78ba41bf3f045126cc5f11c930">Vertex::particle</a>(<a class="code" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> value) {</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keywordflow">if</span> (m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a>) <span class="keyword">delete</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a> = <span class="keyword">new</span> <a class="code" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a>(value);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#affed80f927552bda13690b221a555035">   90</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_vertex.html#affed80f927552bda13690b221a555035">Vertex::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;}</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">   97</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">Vertex::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  }</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#af75188703447da82834594f6bbc1201c">  104</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_vertex.html#af3da2394dc202b459694b45a4dd437bc">Vertex::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;}</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="namespaceeic.html#a99b3963b73fa6beb939506d59ebc83bb">  108</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&amp; value) {</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; id: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#ae9780af0f3dbc3c7e1f3d88ff06abc59">id</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; primary : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#a2f4b1b96afac21259782a9f310d68b71">primary</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; chi2 : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#a290f223ac4c48c73dc367ae6a694d6bc">chi2</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; probability : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#a636f635662f4f05ebad2637752e1747d">probability</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; position : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#af300e08ae0bba5359f765acbe8083737">position</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; position: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#a777bb02c3357c3e7118e151da7966b05">x</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; position: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#aaf6e608161e40f5348e2d4e4a8f56c88">y</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; position: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#a7acad1af48d13ddd06ecf308ddf4b85f">z</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; position: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#aefccffb95d6d89c6e7c95cde6b91adb0">t</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; particle : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_vertex.html#a9a80b21aa148438e9a59823db3c82b26">particle</a>().<a class="code" href="classeic_1_1_const_reconstructed_particle.html#a8d702aa674586c7bbae1157ec4f68984">id</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;}</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="ttc" id="classeic_1_1_vertex_html_ac7a8bad218a5c38e8b537200d96d9681"><div class="ttname"><a href="classeic_1_1_vertex.html#ac7a8bad218a5c38e8b537200d96d9681">eic::Vertex::y</a></div><div class="ttdeci">const double &amp; y() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00057">Vertex.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a9a50db78ba41bf3f045126cc5f11c930"><div class="ttname"><a href="classeic_1_1_vertex.html#a9a50db78ba41bf3f045126cc5f11c930">eic::Vertex::particle</a></div><div class="ttdeci">const ::eic::ConstReconstructedParticle particle() const</div><div class="ttdoc">Access the Reconstructed Particle associated to the Vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00061">Vertex.cc:61</a></div></div>
<div class="ttc" id="_vertex_obj_8h_html"><div class="ttname"><a href="_vertex_obj_8h.html">VertexObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a5a84687c9589cf01acb821943ef8f4bc"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">eic::VertexData::chi2</a></div><div class="ttdeci">float chi2</div><div class="ttdoc">Chi squared of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00018">VertexData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_aaaf2caa9321971054b1147684ae7ae65"><div class="ttname"><a href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">eic::Vertex::Vertex</a></div><div class="ttdeci">Vertex()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00017">Vertex.cc:17</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a43ba2220afb5601410cc77c2dcc26a55"><div class="ttname"><a href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">eic::Vertex::position</a></div><div class="ttdeci">const eic::VectorXYZT &amp; position() const</div><div class="ttdoc">Access the postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00055">Vertex.cc:55</a></div></div>
<div class="ttc" id="_vertex_const_8h_html"><div class="ttname"><a href="_vertex_const_8h.html">VertexConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a2f4b1b96afac21259782a9f310d68b71"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a2f4b1b96afac21259782a9f310d68b71">eic::ConstVertex::primary</a></div><div class="ttdeci">const int &amp; primary() const</div><div class="ttdoc">Access the Whether it is the primary vertex of the event. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00050">VertexConst.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_aaf6e608161e40f5348e2d4e4a8f56c88"><div class="ttname"><a href="classeic_1_1_const_vertex.html#aaf6e608161e40f5348e2d4e4a8f56c88">eic::ConstVertex::y</a></div><div class="ttdeci">const double &amp; y() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00055">VertexConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_ae9780af0f3dbc3c7e1f3d88ff06abc59"><div class="ttname"><a href="classeic_1_1_const_vertex.html#ae9780af0f3dbc3c7e1f3d88ff06abc59">eic::ConstVertex::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8h_source.html#l00095">VertexConst.h:95</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_ae347ee95d3330b53d02cb17466174874"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#ae347ee95d3330b53d02cb17466174874">eic::VectorXYZT::y</a></div><div class="ttdeci">double y</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00014">VectorXYZT.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a5401a139604ecb1a48149797d7e95119"><div class="ttname"><a href="classeic_1_1_vertex.html#a5401a139604ecb1a48149797d7e95119">eic::Vertex::operator=</a></div><div class="ttdeci">Vertex &amp; operator=(const Vertex &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00033">Vertex.cc:33</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a9a80b21aa148438e9a59823db3c82b26"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a9a80b21aa148438e9a59823db3c82b26">eic::ConstVertex::particle</a></div><div class="ttdeci">const ::eic::ConstReconstructedParticle particle() const</div><div class="ttdoc">Access the Reconstructed Particle associated to the Vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00059">VertexConst.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_aae3cf05102b6482aaf12dd8eeb9d7d59"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#aae3cf05102b6482aaf12dd8eeb9d7d59">eic::VectorXYZT::z</a></div><div class="ttdeci">double z</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00015">VectorXYZT.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_add5372ef6f48f963d0e7d2671b2f4dd8"><div class="ttname"><a href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">eic::Vertex::probability</a></div><div class="ttdeci">const float &amp; probability() const</div><div class="ttdoc">Access the Probability of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00054">Vertex.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a5fc7a99bf2445e0814f224438f7fe797"><div class="ttname"><a href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">eic::Vertex::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00097">Vertex.cc:97</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_obj_html"><div class="ttname"><a href="classeic_1_1_vertex_obj.html">eic::VertexObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_obj_8h_source.html#l00022">VertexObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_obj_html_ac76fb704d9786c60c39e262814c19ae5"><div class="ttname"><a href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">eic::VertexObj::data</a></div><div class="ttdeci">VertexData data</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_obj_8h_source.html#l00034">VertexObj.h:34</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_acfbb82aae5f3877dafc6fd65cd6cb90d"><div class="ttname"><a href="classeic_1_1_vertex.html#acfbb82aae5f3877dafc6fd65cd6cb90d">eic::Vertex::z</a></div><div class="ttdeci">const double &amp; z() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00058">Vertex.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a777bb02c3357c3e7118e151da7966b05"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a777bb02c3357c3e7118e151da7966b05">eic::ConstVertex::x</a></div><div class="ttdeci">const double &amp; x() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00054">VertexConst.cc:54</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_ac73f0232242f85f2726c929893b35c52"><div class="ttname"><a href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">eic::Vertex::chi2</a></div><div class="ttdeci">const float &amp; chi2() const</div><div class="ttdoc">Access the Chi squared of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00053">Vertex.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a512879552418c69b35cfb17c4e5a927c"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">eic::VertexData::primary</a></div><div class="ttdeci">int primary</div><div class="ttdoc">Whether it is the primary vertex of the event. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00017">VertexData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_ac4136c3146b768e8295a78ae54c9ed39"><div class="ttname"><a href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">eic::VertexData::probability</a></div><div class="ttdeci">float probability</div><div class="ttdoc">Probability of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00019">VertexData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_aa6eb35c80e38ca34929d9dfa55ec33ed"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#aa6eb35c80e38ca34929d9dfa55ec33ed">eic::VectorXYZT::x</a></div><div class="ttdeci">double x</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00013">VectorXYZT.h:13</a></div></div>
<div class="ttc" id="classeic_1_1_const_reconstructed_particle_html_a8d702aa674586c7bbae1157ec4f68984"><div class="ttname"><a href="classeic_1_1_const_reconstructed_particle.html#a8d702aa674586c7bbae1157ec4f68984">eic::ConstReconstructedParticle::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_const_8h_source.html#l00110">ReconstructedParticleConst.h:110</a></div></div>
<div class="ttc" id="_vertex_8h_html"><div class="ttname"><a href="_vertex_8h.html">Vertex.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_af3da2394dc202b459694b45a4dd437bc"><div class="ttname"><a href="classeic_1_1_vertex.html#af3da2394dc202b459694b45a4dd437bc">eic::Vertex::operator==</a></div><div class="ttdeci">bool operator==(const Vertex &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00121">Vertex.h:121</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html"><div class="ttname"><a href="classeic_1_1_const_vertex.html">eic::ConstVertex</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8h_source.html#l00029">VertexConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a5a7a2343046e053707b8c5a9c7c5fd77"><div class="ttname"><a href="classeic_1_1_vertex.html#a5a7a2343046e053707b8c5a9c7c5fd77">eic::Vertex::clone</a></div><div class="ttdeci">Vertex clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00043">Vertex.cc:43</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_af300e08ae0bba5359f765acbe8083737"><div class="ttname"><a href="classeic_1_1_const_vertex.html#af300e08ae0bba5359f765acbe8083737">eic::ConstVertex::position</a></div><div class="ttdeci">const eic::VectorXYZT &amp; position() const</div><div class="ttdoc">Access the postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00053">VertexConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_aefccffb95d6d89c6e7c95cde6b91adb0"><div class="ttname"><a href="classeic_1_1_const_vertex.html#aefccffb95d6d89c6e7c95cde6b91adb0">eic::ConstVertex::t</a></div><div class="ttdeci">const double &amp; t() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00057">VertexConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a290f223ac4c48c73dc367ae6a694d6bc"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a290f223ac4c48c73dc367ae6a694d6bc">eic::ConstVertex::chi2</a></div><div class="ttdeci">const float &amp; chi2() const</div><div class="ttdoc">Access the Chi squared of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00051">VertexConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_acb244fd15098e5d8f334dbb4b3cb5739"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#acb244fd15098e5d8f334dbb4b3cb5739">eic::VectorXYZT::t</a></div><div class="ttdeci">double t</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00016">VectorXYZT.h:16</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a2906315761acc0b7ad04388d1cfef10c"><div class="ttname"><a href="classeic_1_1_vertex.html#a2906315761acc0b7ad04388d1cfef10c">eic::Vertex::~Vertex</a></div><div class="ttdeci">~Vertex()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00047">Vertex.cc:47</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_obj_html_a3b6a1cadde49177db7f082d74b63ca9e"><div class="ttname"><a href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">eic::VertexObj::m_particle</a></div><div class="ttdeci">::eic::ConstReconstructedParticle * m_particle</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_obj_8h_source.html#l00035">VertexObj.h:35</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_ab66fd259b680f14b9bbd11121e49bd09"><div class="ttname"><a href="classeic_1_1_vertex.html#ab66fd259b680f14b9bbd11121e49bd09">eic::Vertex::t</a></div><div class="ttdeci">const double &amp; t() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00059">Vertex.cc:59</a></div></div>
<div class="ttc" id="_reconstructed_particle_8h_html"><div class="ttname"><a href="_reconstructed_particle_8h.html">ReconstructedParticle.h</a></div></div>
<div class="ttc" id="_vertex_data_8h_html"><div class="ttname"><a href="_vertex_data_8h.html">VertexData.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a7c97516808ae6cab492e2b39584ebaa4"><div class="ttname"><a href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">eic::Vertex::primary</a></div><div class="ttdeci">const int &amp; primary() const</div><div class="ttdoc">Access the Whether it is the primary vertex of the event. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00052">Vertex.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a636f635662f4f05ebad2637752e1747d"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a636f635662f4f05ebad2637752e1747d">eic::ConstVertex::probability</a></div><div class="ttdeci">const float &amp; probability() const</div><div class="ttdoc">Access the Probability of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00052">VertexConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a9a84393282f9a5ae3a14c67289c7836b"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">eic::VertexData::position</a></div><div class="ttdeci">::eic::VectorXYZT position</div><div class="ttdoc">postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00020">VertexData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_affed80f927552bda13690b221a555035"><div class="ttname"><a href="classeic_1_1_vertex.html#affed80f927552bda13690b221a555035">eic::Vertex::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00090">Vertex.cc:90</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a7acad1af48d13ddd06ecf308ddf4b85f"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a7acad1af48d13ddd06ecf308ddf4b85f">eic::ConstVertex::z</a></div><div class="ttdeci">const double &amp; z() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00056">VertexConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html"><div class="ttname"><a href="classeic_1_1_vertex.html">eic::Vertex</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00031">Vertex.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00011">VectorXYZT.h:11</a></div></div>
<div class="ttc" id="classeic_1_1_const_reconstructed_particle_html"><div class="ttname"><a href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_const_8h_source.html#l00033">ReconstructedParticleConst.h:33</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_ab8f4d022b2e9029ffa7c0165e9e708f7"><div class="ttname"><a href="classeic_1_1_vertex.html#ab8f4d022b2e9029ffa7c0165e9e708f7">eic::Vertex::x</a></div><div class="ttdeci">const double &amp; x() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00056">Vertex.cc:56</a></div></div>
<div class="ttc" id="_vertex_collection_8h_html"><div class="ttname"><a href="_vertex_collection_8h.html">VertexCollection.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
